Subject: Re: JMP> jmJobState and jmJobStateReasonsTC [ISSUE: Are there any mandatory job states?]

From: JK Martin <[email-masked]>
Date: Sun, 25 May 1997 15:26:45 -0400 (EDT)

What happened to "pending" as a mandatory job state?  I certainly hope
we don't relegate this important state to the "Conditionally Mandatory"
realm.

> The current draft lists processing, needsAttention, canceled, and completed
> as Mandatory.  Since needsAttention has gone away, that leaves three
> states as mandatory:  processing, canceled, and completed.  Since we added
> aborted, I assume that aborted should be added to the mandatory list.
> 
> The complicance at the end of the Job MIB spec also lists these states.
>
> [...snip...]
> 
> Tom

---

From: Ron Bergman <[email-masked]>
Date: Tue, 27 May 1997 08:37:28 -0700 (PDT)

Jay,

The object jmJobState should be mandatory.  All possible enums for this
object must be reported if implemented and available to the agent.  (I 
sent another email on this subject with more info earlier today.)

Does this make more sense?  

	Ron Bergman